#!/bin/bash

#TMPDIR='/tmp/.rdor1'
TMPDIR=$( ls -1d /tmp/rdor-t1-?????? 2> /dev/null | head -1 )

SCENARIO=$( ls $TMPDIR/rdor1*/*.xml | grep -v conf)
echo $SCENARIO

function limpia () {

# Hacemos limpieza primero...
PIDS=$( ps uaxww | grep "sudo vnx" | grep -v grep | awk '{ print $2 }' )
if [ "$PIDS" ]; then
    echo "Matando procesos vnx:" $PIDS
    sudo kill -9 $PIDS
else
    echo "No hay procesos vnx"
fi

PIDS=$( ps uaxww | grep "comprueba-rdor1" | grep -v grep | awk '{ print $2 }' )
if [ "$PIDS" ]; then
    echo "Matando procesos comprueba-rdor1:" $PIDS
    sudo kill -9 $PIDS
else
    echo "No hay procesos comprueba-rdor1"
fi

PIDS=$( ps uaxww | grep "arranca-t1" | grep -v grep | awk '{ print $2 }' )
if [ "$PIDS" ]; then
    echo "Matando procesos arranca-t1:" $PIDS
    sudo kill -9 $PIDS
else
    echo "No hay procesos arranca-t1"
fi

PIDS=$( ps uaxww | grep "nmap" | grep -v grep | awk '{ print $2 }' )
if [ "$PIDS" ]; then
    echo "Matando procesos nmap:" $PIDS
    sudo kill -9 $PIDS
else
    echo "No hay procesos nmap"
fi

echo ""
echo "*** Finalizado ***"
}

( limpia; sudo vnx -f $SCENARIO -v -P -D ) | yad --text-info --tail --title 'Parando escenario 1 RDOR...' --height 400 --width 800 --fontname="Monospace 7" --wrap &
